<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Entity;

use SplFileInfo;
use Sylius\Component\Core\Model\ImageInterface;

abstract class AbstractImage implements ImageInterface
{
    public const TYPE = 'dedi_blog_image';

    protected ?int $id = null;

    protected ?object $owner = null;

    protected ?string $path = null;

    protected ?SplFileInfo $file = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getFile(): ?SplFileInfo
    {
        return $this->file;
    }

    public function setFile(?SplFileInfo $file): void
    {
        $this->file = $file;
    }

    public function hasFile(): bool
    {
        return null !== $this->file;
    }

    public function getPath(): ?string
    {
        return $this->path;
    }

    public function setPath(?string $path): void
    {
        $this->path = $path;
    }

    public function getOwner()
    {
        return $this->owner;
    }

    public function setOwner($owner): void
    {
        $this->owner = $owner;
    }

    public function getType(): ?string
    {
        return self::TYPE;
    }

    public function setType(?string $type): void
    {
    }
}
